Skip to main content

End a rental

POST 

/v1/rental/:rentalID/end

Locks the vehicle, makes it available to other users, and returns the total cost of the rental. The partner typically starts the payment process when ending the rental.

After 10 minutes of inactivity during an ongoing rental (the vehicle hasn't moved), the vehicle locks automatically and the rental ends — provided it is somewhere ending the rental is permitted.

Location: if a start/end location is provided via the API, the phone's location is used to define the end-ride position; otherwise the vehicle's own location (updated every 15 seconds) is used.

Parking photo: the response includes a pre-signed photoUploadURLPUT a photo of the parked vehicle to it (see Validate parking photo).

Errors: when the vehicle cannot be parked at the end location the endpoint responds with 405 Method Not Allowed and a ResponseError body whose error field identifies the reason:

HTTP statuserrordetail
405VehicleIsNotUprightVehicle is not upright
405NoParkingSpotNearbyMPZNo parking spot nearby
405OutsideOfOpsAreaOutside of operational area
405InsideNoParkingAreaInside no parking area
405InsideNoRidingAreaInside no riding area
405NoParkingSpotNearbySMPZNo parking spot nearby
405ParkingSpotFullParking spot full
500FailedToEndRentalFailed to end rental

See Payments for fines, short-ride rules and refunds.

Request

Responses

Successfully return rental data